Loading...
Searching...
No Matches
Catch::Clara::Detail::BoundFlagRefBase Struct Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Clara::Detail::BoundFlagRefBase:
[legend]
Collaboration diagram for Catch::Clara::Detail::BoundFlagRefBase:
[legend]

## Public Member Functions

virtual auto | setFlag (bool flag) -> ParserResult=0
bool | isFlag () const override
Public Member Functions inherited from Catch::Clara::Detail::BoundRef
virtual | ~BoundRef ()=default
virtual bool | isContainer () const

## Additional Inherited Members

Protected Member Functions inherited from Catch::Detail::NonCopyable
| NonCopyable () noexcept=default

## Member Function Documentation

## isFlag()

bool Catch::Clara::Detail::BoundFlagRefBase::isFlag | ( |  | ) | const

overridevirtual

Reimplemented from Catch::Clara::Detail::BoundRef.

Here is the caller graph for this function:

## setFlag()

virtual auto Catch::Clara::Detail::BoundFlagRefBase::setFlag | ( | bool | flag | ) | -> ParserResult

pure virtual

Implemented in Catch::Clara::Detail::BoundFlagLambda< L >, and Catch::Clara::Detail::BoundFlagRef.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp